> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliatepayouts/create_a_new_payout_of_the_affiliate.md).

# Create a new payout of the affiliate

| HTTP method | Endpoint                   |
| ----------- | -------------------------- |
| **POST**    | **/v1/affiliate\_payouts** |

**Note: In the case of Offer pricing type be CPC, event\_id assignment and Volume Based Tiers would be unavailable. Volume Based Tiers is only available if event\_id=1.**

***NOTE: Volume Based Tiers only used for CPA, CPS and CPA+CPS,and the affiliate payout ，when offers pricing type is CPC cannot create Volume Based Tiers.***

## Request body parameters <a href="#request-body-parameters" id="request-body-parameters"></a>

|                   | Field                | Type    | Description                                                                                              | Nullable |
| ----------------- | -------------------- | ------- | -------------------------------------------------------------------------------------------------------- | -------- |
| affiliate\_payout |                      |         |                                                                                                          |          |
|                   | offer\_id            | integer |                                                                                                          | No       |
|                   | affiliate\_id        | integer |                                                                                                          | No       |
|                   | event\_id            | integer | Event id.                                                                                                |          |
|                   | current\_payout      | string  | Payout.                                                                                                  |          |
|                   | percent\_payout      | string  | Percent payout.                                                                                          |          |
| affiliate\_tier   |                      |         |                                                                                                          |          |
|                   | user\_id             | integer |                                                                                                          | No       |
|                   | time\_interval\_type | integer | Time interval type. 1: Daily ; 2: Weekly ;  3: Monthly                                                   | No       |
|                   | effective\_time      | string  | When Time Interval Type value is 0 that Custom time can be active.Print type of time must be :YYYY-MM-DD |          |
|                   | expiration\_time     | string  | When Time Interval Type value is 0 that Custom time can be active.Print type of time must be :YYYY-MM-DD |          |
|                   | tier\_item           |         |                                                                                                          | No       |
|                   | volume\_caps         | integer | Volume Caps.                                                                                             | No       |
|                   | payout               | string  | Payout.                                                                                                  |          |
|                   | percent\_payout      | string  | Percent payout.                                                                                          |          |

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

|                   | Field                | Type    | Description                                            |
| ----------------- | -------------------- | ------- | ------------------------------------------------------ |
| affiliate\_payout |                      |         |                                                        |
|                   | id                   | integer | Affiliate payout id.                                   |
|                   | offer\_id            | integer | Offer id.                                              |
|                   | affiliate\_id        | integer | Affiliaite id                                          |
|                   | event\_id            | integer | Event id.                                              |
|                   | current\_payout      | string  | Current payout.                                        |
|                   | percent\_payout      | string  | Percent payout.                                        |
|                   | create\_time         | string  | Create time.                                           |
| affiliate\_tier   |                      |         |                                                        |
|                   | offer\_id            | integer | Offer id.                                              |
|                   | affiliate\_id        | integer | Affiliate id.                                          |
|                   | user\_id             | integer | User id.                                               |
|                   | time\_interval\_type | integer | Time interval type. 1: Daily ; 2: Weekly ;  3: Monthly |
|                   | effective\_time      | integer | Effective time.                                        |
|                   | expiration\_time     | integer | Expiration time.                                       |
|                   | create\_time         | integer | Create time.                                           |
|                   | tier\_item           |         |                                                        |
|                   | volume\_caps         | integer | Volume Based Tiers Volume Caps.                        |
|                   | payout               | string  | Volume Based Tiers Payout.                             |
|                   | percent\_payout      | string  | Percent payout.                                        |
|                   | sort                 | integer | Volume Based Tiers Sort.                               |
|                   | range                | string  | Volume Based Tiers Range.                              |

## Example request <a href="#example-request" id="example-request"></a>

**Request POST** <https://{networkname}.api.offerslook.com/v1/affiliate_payouts>

**Request POST** <http://{networkname}.api.offerslook.com/v1/affiliate_payouts>

```
    {
      "affiliate_payout": {
        "offer_id": 7,
        "affiliate_id": 7,
        "event_id": 1,
        "current_payout": "33",
        "percent_payout": "10"
      },
      "affiliate_tier": {
        "user_id": 1,
        "time_interval_type": 0,
        "effective_time": "2016-09-03",
        "expiration_time": "2016-10-03",
        "tier_item": [
          {
            "volume_caps": "100",
            "payout": 34,
            "percent_payout": "10"
          },
          {
            "volume_caps": 150,
            "payout": 43，
            "percent_payout": "10"
          }
        ]
      }
    }
```

## Example response <a href="#example-response" id="example-response"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "affiliate_tier": {
          "offer_id": 7,
          "affiliate_id": 7,
          "user_id": 1,
          "time_interval_type": 0,
          "effective_time": 1472832000,
          "expiration_time": 1475510399,
          "create_time": 1467602151,
          "tier_item": [
            {
              "volume_caps": 100,
              "payout": "34",
              "percent_payout": "10"
              "sort": 1,
              "range": "1-100"
            },
            {
              "volume_caps": 150,
              "payout": "43",
              "percent_payout": "10"
              "sort": 2,
              "range": "101-∞"
            }
          ]
        },
        "affiliate_payout": {
          "id": 24,
          "offer_id": 7,
          "affiliate_id": 7,
          "event_id": 1,
          "current_payout": "33",
          "percent_payout": "10"，
          "create_time": 1467602151
        }
      }
    }
```
